summaryrefslogtreecommitdiffstats
path: root/c/src/lib/libbsp/i386/ts_386ex/tools/elf2exe
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1999-08-11 23:45:57 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1999-08-11 23:45:57 +0000
commit1d4048b236f1ca4ee555de04ca1b8d1492434670 (patch)
tree19ba7b2e04b8576d685a274a04cc720e56e6adfc /c/src/lib/libbsp/i386/ts_386ex/tools/elf2exe
parentFinal update from Santanu Mitra <smitra@cs.uah.edu>, T.N.S. Prasad (diff)
downloadrtems-1d4048b236f1ca4ee555de04ca1b8d1492434670.tar.bz2
Patch from Tony R. Ambardar <tonya@ece.ubc.ca>:
I'm attaching a big patch for the ts_386ex BSP which adds and includes the following: 1) Conversion to ELF format + minor code cleanups + documentation. 2) An Ada95 binding to FreeBSD sockets, based on Samuel Tardieu's adasockets-0.1.3 package. This includes some sample applications. 3) Some Ada and C interfaces to add serial-port debugging to programs. Comes with examples, too; the Ada one shows how transparent adding the support can be. Note that Rosimildo sent me the original C code. The network stuff is not BSP specific, and could be added to your Ada code collection. The debugging stuff is specific to the i386. Right now, everything sits in my "tools" directory.
Diffstat (limited to 'c/src/lib/libbsp/i386/ts_386ex/tools/elf2exe')
-rwxr-xr-xc/src/lib/libbsp/i386/ts_386ex/tools/elf2exe23
1 files changed, 23 insertions, 0 deletions
diff --git a/c/src/lib/libbsp/i386/ts_386ex/tools/elf2exe b/c/src/lib/libbsp/i386/ts_386ex/tools/elf2exe
new file mode 100755
index 0000000000..fc0d5a995c
--- /dev/null
+++ b/c/src/lib/libbsp/i386/ts_386ex/tools/elf2exe
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Just a Q&D prog to convert a bunch of RTEMS generated ELF files to raw
+# binary images that can be loaded on the TS-1325. The converted files are
+# saved in the current directory.
+#
+# Tony Ambardar
+
+OBJCOPY=/usr/local/rtems/bin/i386-rtemself-objcopy
+
+if [ $# = 0 ]
+then
+ echo "Description: Convert RTEMS elf files to raw binary files."
+ echo "Usage: elf2exe <list-of-elf-files>"
+ echo
+ exit 1
+fi
+
+for i in $*
+do
+ OUTFILE=$(basename `echo $i | sed 's/\.[a-zA-Z0-9]*$//g'`.exe)
+ $OBJCOPY -O binary $i $OUTFILE
+done
+